Bug 426314 - "11614 Illegal instruction" at runtime
Summary: "11614 Illegal instruction" at runtime
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvrml
Version: 9
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Braden McDaniel
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ge...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-19 23:00 UTC by Braden McDaniel
Modified: 2009-07-07 07:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-07 07:21:39 UTC


Attachments (Terms of Use)
Test from openvrml that, when run, demonstrates the failure (4.87 KB, text/plain)
2007-12-19 23:05 UTC, Braden McDaniel
no flags Details

Description Braden McDaniel 2007-12-19 23:00:55 UTC
Description of problem:
I have observed an failure building openvrml 0.17.0 in "check" when a particular test gets run. When 
running the browser test, it fails with "11614 Illegal instruction", as can be seen in the linked build log.

Version-Release number of selected component (if applicable):
4.1.2-36

Comment 1 Braden McDaniel 2007-12-19 23:05:59 UTC
Created attachment 290077 [details]
Test from openvrml that, when run, demonstrates the failure

Comment 2 Jakub Jelinek 2007-12-19 23:19:10 UTC
Why are you filing this against gcc?  That's preliminary.
You as package maintainer should debug this, see under gdb on which illegal insn
it died and how the code branched there.  SIGILL can be because say SSEx,
Altivec, ... optimized code executed on CPU which doesn't support it, or calling
through an uninitialized function pointer, or memory corruption in the program
which corrupts some pointer or vtable, it can be bogus inline asm, and many
other things.  Of course it can be a gcc bug, but that's far less likely than
the other possibilities.
Please debug this and only if you come up with with enough justifications
pointing to GCC you can reassign to gcc.  E.g. AFAIK koji buildboxes don't
support Altivec at all.

Comment 3 Braden McDaniel 2007-12-19 23:51:11 UTC
I filed this against gcc because it's only occurring on ppc. As such, it seems unlikely that it's an openvrml 
bug. openvrml doesn't include processor-specific code.

It could be a bug in one of openvrml's dependencies; but the only dependency exercised by this test is 
boost. So that is a possibility.

Also, I wasn't aware until a few moments ago that I could get shell access on a ppc machine to test this.

Since apparently I can, I will look into it.



Comment 4 David Woodhouse 2007-12-20 13:38:08 UTC
Hm, builds fine on F8... eventually. Will try again in mock for rawhide.

Comment 5 Bug Zapper 2008-05-14 04:13:09 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-09 23:18:19 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Braden McDaniel 2009-07-07 07:21:39 UTC
This is no longer appearing as of Fedora 11/openvrml-0.18.2-1 (should appear in testing soon).

As there haven't been changes to the parts of OpenVRML's code where this was failing, a (now fixed) compiler bug does not seem terribly far fetched.


Note You need to log in before you can comment on or make changes to this bug.